   
      SUBROUTINE R_NK_par_tr_A(N,K,Matr_input,Matr_output)
C
C	########################################################################
C
C	Valerio Cappellini                                         February 2007
C
C     USES :: None
C     COMPATIBILITY :: Fortran 90
C     VERSION :: 1.0.0
C
C     R_NK_par_tr_A.f :: it take as input the 2 INTEGER numbers N and K and a 
C                 NxKxNxK REAL matrix M and return as output the NxKxNxK REAL 
C                 matrix "PARTIAL TRANSPOSE ON A of M"
C
C	########################################################################
C
$	debug
	implicit none
       
      INTEGER N,K
	REAL Matr_input(N,K,N,K), Matr_output(N,K,N,K)

      Matr_output=RESHAPE(Matr_input,(/N,K,N,K/),(/0.,0./),(/3,2,1,4/))
	
      RETURN
      END